# apeman-service-eventsource@1.0.0

Apeman service for SSE event source

+ Functions
  + [create(args)](#apeman-service-eventsource-function-create)
+ [ApEventsourceService](apeman-service-eventsource-classes) Class
  + [new ApEventsourceService(store, options)](#apeman-service-eventsource-classes-ap-eventsource-service-constructor)
  + [service.observe(url, params, handlers)](#apeman-service-eventsource-classes-ap-eventsource-service-observe)

## Functions

<a class='md-heading-link' name="apeman-service-eventsource-function-create" ></a>

### create(args) -> `ApEventsourceService`

Create the service instance

| Param | Type | Description |
| ----- | --- | -------- |
| args | * |  |



<a class='md-heading-link' name="apeman-service-eventsource-classes"></a>

## ApEventsourceService Class

Service


<a class='md-heading-link' name="apeman-service-eventsource-classes-ap-eventsource-service-constructor" ></a>

### new ApEventsourceService(store, options)

Constructor of ApEventsourceService class

| Param | Type | Description |
| ----- | --- | -------- |
| store | Object | Redux store |
| options | Object | Optional settings |


<a class='md-heading-link' name="apeman-service-eventsource-classes-ap-eventsource-service-observe" ></a>

### service.observe(url, params, handlers) -> `EventSource`

Observe event source

| Param | Type | Description |
| ----- | --- | -------- |
| url | string |  |
| params | Object |  |
| handlers | Object | Event handlers |




