#!/usr/bin/env node

'use strict'

const { ApEventsourceService } = require('apeman-service-eventsource')
const { createStore } = require('redux')
const { reducer } = require('apeman-service-base')
const co = require('co')

co(function * () {
  let store = createStore(reducer)
  let { observe } = new ApEventsourceService(store)

  let server = observe('/sse/system', {}, {
    'server:restart': (e) => { /* ... */ }
  })

  /* ... */

  server.close()

}).catch((err) => console.error(err))
