/**
 * Apeman service for SSE event source
 * @module apeman-service-eventsource
 * @version 1.0.0
 */

'use strict'

const create = require('./create')
const ApEventsourceService = require('./ap_eventsource_service')

let lib = create.bind(this)

Object.assign(lib, ApEventsourceService, {
  create,
  ApEventsourceService
})

module.exports = lib
